# Copyright (c) 2026, UChicago Argonne, LLC
# BSD OPEN SOURCE LICENSE. Full license can be found in LICENSE
# Copyright (c) 2026, UChicago Argonne, LLC
# BSD OPEN SOURCE LICENSE. Full license can be found in LICENSE
from ..results_analysis import PathResultH5
from .show_dialog import show_diag


def path_demand_db(proj):
    if not proj.open_mode or proj.open_mode != "project":
        proj.message_no_project()
        return
    dlg2 = PathResultH5(proj)
    show_diag(dlg2)
